<a name="menu">目录</a>
1. [列表](#list)
1. [详情](#info)
1. [添加/修改](#save)

## **<a name="list"> 列表</a>**
[返回到目录](#menu)
##### URL
[/web/saas/mainCtl/page]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "currentPage": "1",
    "pageSize": "10",
    "name": ""                 // 主体名称
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 2,
        "rows": [
            {
                "id": 50000,                                    // id
                "name": "name2",                                // 主体名称
                "bank_account": "bank_accoun2",                 // 账户名称
                "bank_name": "bank_name 2",                     // 开户银行
                "bank_no": "bank_no2",                          // 银行账户
                "created_at": "2020-03-20 05:48:49",            // 创建时间
            },
        ]
    },
    "requestid": "4d41d50ef6fa4638a55913df36f76f79"
}

```


## **<a name="info"> 详情</a>**
[返回到目录](#menu)
##### URL
[/web/saas/mainCtl/info]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // id
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": 50000,                                    // id
            "name": "name2",                                // 主体名称
            "bank_account": "bank_accoun2",                 // 账户名称
            "bank_name": "bank_name 2",                     // 开户银行
            "bank_no": "bank_no2",                          // 银行账户
            "created_at": "2020-03-20 05:48:49",            // 创建时间
        },
        "requestid": "cf6320a1b615423b8a9ceb3b66b713f1"
    }

```

## **<a name="save"> 添加/修改抬头</a>**
[返回到目录](#menu)
##### URL
[/web/saas/mainCtl/save]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "",                                      // 抬头id，为空或者不填写该字段时新增，指定具体id时修改
        "merchantId" :"11064624178480175",             // 商户id
        "taxNo": "杨庆菊客户的税号",                    // 纳税人识别号
        "invoiceAddr": "杨庆菊客户的地址",              // 开票地址
        "invoiceMobile": "杨庆菊客户开票手机号",         // 开票电话
        "accountName": "杨庆菊客户的账户名称",           // 开户名称
        "accountPublic": "杨庆菊客户的对公账户",         // 对公账户
        "isDefault" : true,                            // 是否设置默认
    }

    {
        "id": 0,                                        // 抬头id，为空或者不填写该字段时新增，指定具体id时修改
        "name": "name2",                                // 主体名称
        "bank_account": "bank_accoun2",                 // 账户名称
        "bank_name": "bank_name 2",                     // 开户银行
        "bank_no": "bank_no2",                          // 银行账户
    }

```


#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {}
    }

```
